Debian Bug report logs - #712232
LIVE_NOCONFIGS in /etc/live/config/* broken

version graph

Package: live-config; Maintainer for live-config is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-config is src:live-config.

Reported by: tails@boum.org

Date: Fri, 14 Jun 2013 09:42:02 UTC

Severity: normal

Found in version live-config/3.0.23-1

Done: Daniel Baumann <daniel.baumann@progress-technologies.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Live Systems Maintainers <debian-live@lists.debian.org>:
Bug#712232; Package live-config. (Fri, 14 Jun 2013 09:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to tails@boum.org:
New Bug report received and forwarded. Copy sent to Live Systems Maintainers <debian-live@lists.debian.org>. (Fri, 14 Jun 2013 09:42:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: tails@boum.org
To: submit@bugs.debian.org
Subject: LIVE_NOCONFIGS in /etc/live/config/* broken
Date: Fri, 14 Jun 2013 11:38:57 +0200
[Message part 1 (text/plain, inline)]
Package: live-config
Version: 3.0.23-1
Severity: normal

In Tails [1] we set:

    LIVE_NOCONFIGS="${LIVE_NOCONFIGS},sudo,policykit"

in /etc/live/config/noroot.conf, but with live-config 3.0.23-1 these
exceptions are *not* honoured (e.g. /etc/sudoers.d/live is created).
They worked fine until (and including) version 3.0.12-1.

For the record, appending `live-noconfig=sudo,policykit` to the kernel
command line works as expected even in version 3.0.23-1, so the issue
must have something to do with the /etc/live/config/* files.

Cheers!

[1] https://tails.boum.org



-- 
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Live Systems Maintainers <debian-live@lists.debian.org>:
Bug#712232; Package live-config. (Fri, 14 Jun 2013 09:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Live Systems Maintainers <debian-live@lists.debian.org>. (Fri, 14 Jun 2013 09:57:07 GMT) Full text and rfc822 format available.

Message #10 received at 712232@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: tails@boum.org
Cc: 712232@bugs.debian.org
Subject: Re: Bug#712232: LIVE_NOCONFIGS in /etc/live/config/* broken
Date: Fri, 14 Jun 2013 11:52:58 +0200
On 06/14/2013 11:38 AM, tails@boum.org wrote:
>     LIVE_NOCONFIGS="${LIVE_NOCONFIGS},sudo,policykit"
> 
> in /etc/live/config/noroot.conf, but with live-config 3.0.23-1 these
> exceptions are *not* honoured (e.g. /etc/sudoers.d/live is created).
> They worked fine until (and including) version 3.0.12-1.

i think that has been fixed in 4.0~a21-1, can you check?

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Information forwarded to debian-bugs-dist@lists.debian.org, Live Systems Maintainers <debian-live@lists.debian.org>:
Bug#712232; Package live-config. (Sat, 15 Jun 2013 08:27:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to tails@boum.org:
Extra info received and forwarded to list. Copy sent to Live Systems Maintainers <debian-live@lists.debian.org>. (Sat, 15 Jun 2013 08:27:09 GMT) Full text and rfc822 format available.

Message #15 received at 712232@bugs.debian.org (full text, mbox):

From: tails@boum.org
To: 712232@bugs.debian.org
Subject: Re: Bug#712232: LIVE_NOCONFIGS in /etc/live/config/* broken
Date: Sat, 15 Jun 2013 10:22:19 +0200
[Message part 1 (text/plain, inline)]
Hi,

> i think that has been fixed in 4.0~a21-1, can you check?

Unfortunately, we can't easily check since the 4.0 series dropped
support for Squeeze.

Any bugfix commit we could try backporting to 3.0.23 and see if it
fixes things up? Would that be b018878 ("Reading configuration files
before cmdline options."), perhaps?


-- 
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Live Systems Maintainers <debian-live@lists.debian.org>:
Bug#712232; Package live-config. (Sat, 15 Jun 2013 08:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Live Systems Maintainers <debian-live@lists.debian.org>. (Sat, 15 Jun 2013 08:42:04 GMT) Full text and rfc822 format available.

Message #20 received at 712232@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: tails@boum.org
Cc: 712232@bugs.debian.org
Subject: Re: Bug#712232: LIVE_NOCONFIGS in /etc/live/config/* broken
Date: Sat, 15 Jun 2013 10:38:02 +0200
[ please do not drop the bts from cc ]

On 06/15/2013 10:22 AM, tails@boum.org wrote:
> 
> Hi,
> 
>> i think that has been fixed in 4.0~a21-1, can you check?
> 
> Unfortunately, we can't easily check since the 4.0 series dropped 
> support for Squeeze.
> 
> Any bugfix commit we could try backporting to 3.0.23 and see if it 
> fixes things up? Would that be b018878 ("Reading configuration
> files before cmdline options."), perhaps?

yes; and note that the command line will overwrite the config file, so
you should have nothing else (wrt/ live) but 'boot=live' in your cmdline.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Information forwarded to debian-bugs-dist@lists.debian.org, Live Systems Maintainers <debian-live@lists.debian.org>:
Bug#712232; Package live-config. (Sat, 15 Jun 2013 17:00:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to tails@boum.org:
Extra info received and forwarded to list. Copy sent to Live Systems Maintainers <debian-live@lists.debian.org>. (Sat, 15 Jun 2013 17:00:09 GMT) Full text and rfc822 format available.

Message #25 received at 712232@bugs.debian.org (full text, mbox):

From: tails@boum.org
To: 712232@bugs.debian.org
Subject: Re: Bug#712232: LIVE_NOCONFIGS in /etc/live/config/* broken
Date: Sat, 15 Jun 2013 18:57:53 +0200
[Message part 1 (text/plain, inline)]
Hi,

> [ please do not drop the bts from cc ]

Thanks for being careful about it. FYI our group communication
software (Schleuder) acts as a remailer and hides multiple recipients
to the eyes of each other, which explains you can't see the BTS
receives my email too. But it does :)

>> Any bugfix commit we could try backporting to 3.0.23 and see if it 
>> fixes things up? Would that be b018878 ("Reading configuration
>> files before cmdline options."), perhaps?

> yes;

Unfortunately, I've just reproduced this bug with live-config 3.0.23 +
commit b018878.

> and note that the command line will overwrite the config file, so
> you should have nothing else (wrt/ live) but 'boot=live' in your cmdline.

Our kernel command line is:

  initrd=/live/initrd2.img boot=live config live-media=removable
  nopersistent noprompt timezone=Etc/UTC
  block.events_dfl_poll_msecs=1000 splash nox11autologin module=Tails
  quiet BOOT_IMAGE=/live/vmlinuz2

Is there anything in here might override LIVE_NOCONFIGS set in the
configuration file?

Cheers!
-- 
  intrigeri, for the Tails team


-- 
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Live Systems Maintainers <debian-live@lists.debian.org>:
Bug#712232; Package live-config. (Sat, 15 Jun 2013 17:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Live Systems Maintainers <debian-live@lists.debian.org>. (Sat, 15 Jun 2013 17:51:04 GMT) Full text and rfc822 format available.

Message #30 received at 712232@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: tails@boum.org
Cc: 712232@bugs.debian.org
Subject: Re: Bug#712232: LIVE_NOCONFIGS in /etc/live/config/* broken
Date: Sat, 15 Jun 2013 19:46:03 +0200
On 06/15/13 18:57, tails@boum.org wrote:
> FYI our group communication
> software (Schleuder) acts as a remailer and hides multiple recipients
> to the eyes of each other, which explains you can't see the BTS
> receives my email too. But it does :)

ftr, i got your private reply before i got the one from lists.d.o (via
bts subscription of the list).

> Is there anything in here might override LIVE_NOCONFIGS set in the
> configuration file?

like said before, cmdline will overwrite config files, so do not
include 'config' in cmdline, as this will enable all scripts again.
this is also documented in the manpage.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Information forwarded to debian-bugs-dist@lists.debian.org, Live Systems Maintainers <debian-live@lists.debian.org>:
Bug#712232; Package live-config. (Sun, 16 Jun 2013 07:42:25 GMT) Full text and rfc822 format available.

Acknowledgement sent to tails@boum.org:
Extra info received and forwarded to list. Copy sent to Live Systems Maintainers <debian-live@lists.debian.org>. (Sun, 16 Jun 2013 07:42:25 GMT) Full text and rfc822 format available.

Message #35 received at 712232@bugs.debian.org (full text, mbox):

From: tails@boum.org
To: 712232@bugs.debian.org
Subject: Re: Bug#712232: LIVE_NOCONFIGS in /etc/live/config/* broken
Date: Sun, 16 Jun 2013 09:40:27 +0200
[Message part 1 (text/plain, inline)]
Hi,

> like said before, cmdline will overwrite config files, so do not
> include 'config' in cmdline, as this will enable all scripts again.
> this is also documented in the manpage.

Indeed, sorry I missed it: the behaviour in earlier releases in the
3.0.x series matched the one I expected (thanks to a bug apparently),
so I did not notice it was not working differently from documented.
Reading the changelog again, the 3.0.15-1 entry should have be enough
of a hint for me.

Anyway (still running 3.0.23 + commit b018878):

  * If I edit the kernel command-line to remove `config', and add
    live-noconfig=sudo,policykit instead: as documented, all scripts
    but sudo and policykit are run. So far, so good.

  * If I remove `config' from the kernel command-line, no live-config
    script is run at all, despite LIVE_NOCONFIGS is set in
    /etc/live/config/*. This looks like a bug, or did I miss
    anything else?

Cheers!


-- 
[Message part 2 (application/pgp-signature, inline)]

Reply sent to daniel.baumann@progress-technologies.net:
You have taken responsibility. (Sun, 16 Jun 2013 08:06:09 GMT) Full text and rfc822 format available.

Notification sent to tails@boum.org:
Bug acknowledged by developer. (Sun, 16 Jun 2013 08:06:09 GMT) Full text and rfc822 format available.

Message #40 received at 712232-done@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: tails@boum.org
Cc: 712232-done@bugs.debian.org
Subject: Re: Bug#712232: LIVE_NOCONFIGS in /etc/live/config/* broken
Date: Sun, 16 Jun 2013 10:04:05 +0200
On 06/16/13 09:40, tails@boum.org wrote:
> If I remove `config' from the kernel command-line, no live-config 
> script is run at all, despite LIVE_NOCONFIGS is set in 
> /etc/live/config/*. This looks like a bug

no, not a bug.

if you use cmdline, then the *complete* set of required variables are
set according to your specification.

if you use config files, only those variables are set that you put
into the config file since we cannot guess the intention (like we can
when you use cmdline).

if you want to have all scripts run except a few, and doing that with
variables, then you need to specify both LIVE_NOCONFIGS and
LIVE_CONFIG_SCRIPTS in your config file, see the
'live-noconfig=*|noconfig=*)' case in /lib/live/config.sh.

oiow: you forgot to specify LIVE_CONFIG_SCRIPTS, closing.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Information forwarded to debian-bugs-dist@lists.debian.org, Live Systems Maintainers <debian-live@lists.debian.org>:
Bug#712232; Package live-config. (Sun, 16 Jun 2013 09:09:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to tails@boum.org:
Extra info received and forwarded to list. Copy sent to Live Systems Maintainers <debian-live@lists.debian.org>. (Sun, 16 Jun 2013 09:09:12 GMT) Full text and rfc822 format available.

Message #45 received at 712232@bugs.debian.org (full text, mbox):

From: tails@boum.org
To: 712232@bugs.debian.org
Subject: Re: Bug#712232: LIVE_NOCONFIGS in /etc/live/config/* broken
Date: Sun, 16 Jun 2013 11:08:06 +0200
[Message part 1 (text/plain, inline)]
Hi,

> if you want to have all scripts run except a few, and doing that with
> variables, then you need to specify both LIVE_NOCONFIGS and
> LIVE_CONFIG_SCRIPTS in your config file, see the
> 'live-noconfig=*|noconfig=*)' case in /lib/live/config.sh.

Thanks for explaining the intended behavior. I did prefer the 3.0.12
(and earlier) behavior, but I trust you it made sense to change it for
some reason, and it's now too late to change back the behavior of
3.0.x anyway.

However, if that is the intended behavior, then I do believe there is
a documentation bug. The manpage has no mention of _SCRIPTS
(LIVE_CONFIG_SCRIPTS' name in 3.0.x), but instead it reads:

   Everything but the shortcuts that can be configured with a boot
   parameter can be alternatively also be configured through one or
   more files.
   [...]
   LIVE_NOCONFIGS=SCRIPT1,SCRIPT2, ... SCRIPTn
       This variable equals the 'live-noconfig=SCRIPT1,SCRIPT2, ...
       SCRIPTn' parameter.
   [...]
   Removing existing config scripts
       [...]
       To avoid to always need specifing disabled scripts through
       the boot parameter, a configuration file should be used, see above.

So I fail to see how one is supposed to understand, by reading this
manpage, that they can't disable specific scripts simply by using
LIVE_NOCONFIGS in a configuration file (as one could do until at least
3.0.12). Did I miss anything?

Do you prefer that I file another bug about the documentation issue,
then, or that I reopen the current one?

Cheers!
-- 
  intrigeri, acting with his Tails hat


-- 
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Live Systems Maintainers <debian-live@lists.debian.org>:
Bug#712232; Package live-config. (Mon, 17 Jun 2013 10:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Live Systems Maintainers <debian-live@lists.debian.org>. (Mon, 17 Jun 2013 10:09:07 GMT) Full text and rfc822 format available.

Message #50 received at 712232@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: tails@boum.org
Cc: 712232@bugs.debian.org
Subject: Re: Bug#712232: LIVE_NOCONFIGS in /etc/live/config/* broken
Date: Mon, 17 Jun 2013 12:05:38 +0200
On 06/16/2013 11:08 AM, tails@boum.org wrote:
> So I fail to see how one is supposed to understand, by reading
> this manpage, that they can't disable specific scripts simply by
> using LIVE_NOCONFIGS in a configuration file (as one could do until
> at least 3.0.12). Did I miss anything?

like said before, when you use variables, you have take care about
providing the required set of needed variables yourself.

when using LIVE_NOCONFIGS, that involves requiring to set
LIVE_CONFIG_SCRIPTS as well.

if you think the manpage is not clear enough on that regard, feel free
to provide a patch to make it more clear.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Information forwarded to debian-bugs-dist@lists.debian.org, Live Systems Maintainers <debian-live@lists.debian.org>:
Bug#712232; Package live-config. (Mon, 24 Jun 2013 09:51:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to tails@boum.org:
Extra info received and forwarded to list. Copy sent to Live Systems Maintainers <debian-live@lists.debian.org>. (Mon, 24 Jun 2013 09:51:08 GMT) Full text and rfc822 format available.

Message #55 received at 712232@bugs.debian.org (full text, mbox):

From: tails@boum.org
To: 712232@bugs.debian.org
Subject: Re: Bug#712232: LIVE_NOCONFIGS in /etc/live/config/* broken
Date: Mon, 24 Jun 2013 11:48:21 +0200
[Message part 1 (text/plain, inline)]
Hi,

> if you think the manpage is not clear enough on that regard, feel free
> to provide a patch to make it more clear.

I think it's plain wrong (affirming wrong information + missing needed
information) rather than "not clear enough".

Given I've not found time to fix it myself last week (sorry about
that), I've reported it as a bug so that this does not get forgotten,
and so that anyone else who is affected by this documentation issue
has a chance to understand what's happening to them without reading
the source code: #713957.

So, I consider the current case (#712232) as closed.
Thanks again for the explanation!

Cheers,
-- 
  intrigeri, for Tails


-- 
[Message part 2 (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 23 Jul 2013 07:29:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:40:27 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.